import { NodeApi } from '../../json-crdt/model/api/nodes';
import { Peritext } from './Peritext';
import type { Editor } from './editor/Editor';
import type { PeritextNode } from './PeritextNode';
import type { ExtApi, StrApi, ArrApi, ArrNode, ModelApi } from '../../json-crdt';
import type { SliceNode } from './slice/types';
export declare class PeritextApi extends NodeApi<PeritextNode> implements ExtApi<PeritextNode> {
    node: PeritextNode;
    readonly api: ModelApi<any>;
    readonly txt: Peritext;
    readonly editor: Editor;
    constructor(node: PeritextNode, api: ModelApi<any>);
    text(): StrApi;
    slices(): ArrApi<ArrNode<SliceNode>>;
    toString(tab?: string): string;
}
